# Showing Saved Credit Cards

After [saving a customer's credit card for future use](/creditguard/changing-the-default-payment-page-appearance/suggesting-to-save-credit-card-data.md), you can display the saved card on the customer's next visit to the payment page. The customer will need to select the saved card, as identified by its brand and the last 4 digits, but won't have to re-enter the full card details. The customer will only need to enter the CVV and, when applicable, the number of installments.

Here's an example of a payment page that suggests a saved credit card:

![A payment page that suggests a saved credit card](/files/gIqq2W9yQyWwr5jLzaKD)

To display one or more saved credit cards, use the `paymentMethods` array in the `uiCustomData` object. Inside the array, you can specify a saved credit card by creating an object with `"type": "token"` and two more properties representing the saved token and card expiration date. For example, here's how you would include two saved credit cards to show in the payment page:

```json
<paymentPageData>
    <ppsJSONConfig>
    {
         "uiCustomData": {
             "paymentMethods": [
                 {"type":"token", 
                      "token":"1066083457795999", 
                      "cardExpiration":"0130"},
                 {"type":"token", 
                      "token":"1069993457795000", 
                      "cardExpiration":"0127"}
             ]  
         }
    }
    </ppsJSONConfig>
</paymentPageData>
```

If you only pass one saved credit card, and your payment page is used in a [3-D Secure](/creditguard/3-d-secure-integration/introduction-to-3ds.md) terminal where CVV entry is not required, then you can use the `autoSubmit` parameter. This results in immediate payment processing as soon as the customer selects the saved card:

```json
<paymentPageData>
    <ppsJSONConfig>
    {
       "uiCustomData": {
           "paymentMethods": [
                {"type":"token", 
                    "token":"1066083457795999", 
                    "cardExpiration":"0130",
                    "autoSubmit":true
                }
           ]  
       }
    }
    </ppsJSONConfig>
</paymentPageData>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/creditguard/changing-the-default-payment-page-appearance/showing-saved-credit-cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
